import React, { ReactNode } from "react";
interface LocaleContextType {
    locale: string;
    handleLocaleChange: (newLocale: string) => void;
}
export declare const LocaleContext: React.Context<LocaleContextType>;
export declare const LocaleProvider: ({ geoApiUrl, children, }: {
    geoApiUrl?: string | undefined;
    children: ReactNode;
}) => React.JSX.Element;
export declare const useLocaleContext: () => LocaleContextType;
export {};
